For the complete documentation index, see llms.txt. This page is also available as Markdown.

Filtering documents

Below is a list of attributes available for filtering documents.

Attribute
Type

type

string

See the Document object for the full list of supported values.

classification

string

See the Document object for the full list of supported values.

issuingCountry

string This will be the two-letter country ISO code.

Example - Get all documents for one type

In the example below, we will request to get all documents that are of type passport.

curl -X GET https://api.complycube.com/v1/documents?clientId={:clientId}&type=passport \
     -H 'Authorization: <YOUR_API_KEY>'
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR API KEY>')

filtered = cc_api.documents.list('CLIENT_ID', type='passport')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR API KEY>');

$filtered = $ccapi->documents()->list('CLIENT_ID', ['type' => 'passport']);
using ComplyCube.Net;
using ComplyCube.Net.Resources.Documents;

var docApi = new DocumentApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var filter = new DocumentRequest { type = "passport" };

var filtered = await docApi.ListAsync("CLIENT_ID", filter);